[**brk-client**](../README.md)

***

[brk-client](../globals.md) / BitcoinPattern2

# Interface: BitcoinPattern2\<T\>

Defined in: [Developer/brk/modules/brk-client/index.js:2815](https://github.com/bitcoinresearchkit/brk/blob/616a97d242fb82081d065cfef39ccee8acd45c28/modules/brk-client/index.js#L2815)

## Type Parameters

### T

`T`

## Properties

### cumulative

> **cumulative**: [`MetricPattern2`](../type-aliases/MetricPattern2.md)\<`T`\>

Defined in: [Developer/brk/modules/brk-client/index.js:2816](https://github.com/bitcoinresearchkit/brk/blob/616a97d242fb82081d065cfef39ccee8acd45c28/modules/brk-client/index.js#L2816)

***

### sum

> **sum**: [`MetricPattern1`](../type-aliases/MetricPattern1.md)\<`T`\>

Defined in: [Developer/brk/modules/brk-client/index.js:2817](https://github.com/bitcoinresearchkit/brk/blob/616a97d242fb82081d065cfef39ccee8acd45c28/modules/brk-client/index.js#L2817)
